# light

#### new light(selection)

Constructor

Source:
  - component/light.js, line 22

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) direction(_v) → {*}

Light Direction Getter / Setter

Source:
  - component/light.js, line 43

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Direction vector (e.g. "1 0 -1").

##### Returns:

Type:
  `*`

#### (static) intensity(_v) → {*}

Light Intensity Getter / Setter

Source:
  - component/light.js, line 55

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Intensity value.

##### Returns:

Type:
  `*`

#### (static) shadowIntensity(_v) → {*}

Shadow Intensity Getter / Setter

Source:
  - component/light.js, line 67

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Intensity value.

##### Returns:

Type:
  `*`